Saltar al contenido principal
PATCH
/
v1
/
bank-accounts
/
{bank_account_id}
Actualizar una cuenta bancaria
curl --request PATCH \
  --url https://api.unisaldos.com/v1/bank-accounts/{bank_account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "alias": "<string>",
  "description": "<string>",
  "is_accounting_account": true,
  "accounting_account_code": "<string>",
  "accounting_account_description": "<string>"
}
'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "bank_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "number": "<string>", "type": "Corriente", "currency": "VES", "short_number": "<string>", "alias": "<string>", "description": "<string>", "is_accounting_account": true, "accounting_account_code": "<string>", "accounting_account_description": "<string>", "role_ids": [] }

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

bank_account_id
string
requerido

Cuerpo

application/json
alias
string | null
Maximum string length: 255
description
string | null
Maximum string length: 1000
is_accounting_account
boolean | null
accounting_account_code
string | null
Maximum string length: 255
accounting_account_description
string | null
Maximum string length: 1000

Respuesta

Successful Response

id
string<uuid>
requerido
bank_access_id
string<uuid>
requerido
number
string
requerido
type
enum<string>
requerido

Bank account type: checking (corriente) or savings (ahorro).

Opciones disponibles:
Corriente,
Ahorro
currency
enum<string>
requerido
Opciones disponibles:
VES,
USD,
EUR
short_number
string | null
alias
string | null
description
string | null
is_accounting_account
boolean | null
accounting_account_code
string | null
accounting_account_description
string | null
role_ids
string<uuid>[]